summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2011-06-12 13:58:46 +0100
committerLars Wirzenius <liw@liw.fi>2011-06-12 13:58:46 +0100
commitd9f43f7f657190843478dae9b4eab8a28d8fb7ec (patch)
tree945a6a39e153ceb6fe3fccb208faff7147b0d802 /scripts
parent8c0a0e8420d0c376dfd419d188c7e5b73c302f71 (diff)
downloadliw-automation-d9f43f7f657190843478dae9b4eab8a28d8fb7ec.tar.gz
Add list-nonauto-packages.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/list-nonauto-packages23
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/list-nonauto-packages b/scripts/list-nonauto-packages
new file mode 100755
index 0000000..fda9a23
--- /dev/null
+++ b/scripts/list-nonauto-packages
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright 2011 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+
+comm -23 \
+ <(dpkg --get-selections | awk '$2 == "install" { print $1 }' | sort) \
+ <(apt-mark showauto | sort)
+